<?xml version='1.0' encoding='UTF-8'?>
<ProfilesCatalog SchemaVersion="0.6.0">
  <AgentProfiles>
    <AgentProfile Name="LuxuryClassCarAgent" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="DummyDriver" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="BMW 7 1" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_7_1" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
    <AgentProfile Name="MiddleClassCarAgent" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="DummyDriver" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="BMW 3" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_3" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
    <AgentProfile Name="TrajectoryAgent_Vehicle" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="DummyDriver" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="Trajectory_Vehicle" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_7_1" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
  </AgentProfiles>
  <SystemProfiles>
    <SystemProfile Name="BMW iX">
      <Components>
        <Component Type="FMU1">
          <Profiles>
            <Profile Name="RegularScm" Probability="1.0"/>
          </Profiles>
        </Component>
      </Components>
      <Sensors/>
    </SystemProfile>
    <SystemProfile Name="BMW i4">
      <Components>
        <Component Type="FMU1">
          <Profiles>
            <Profile Name="RegularScm" Probability="1.0"/>
          </Profiles>
        </Component>
      </Components>
      <Sensors/>
    </SystemProfile>
    <SystemProfile Name="BMW 7 1">
      <Components>
        <Component Type="FMU1">
          <Profiles>
            <Profile Name="RegularScm" Probability="1.0"/>
          </Profiles>
        </Component>
      </Components>
      <Sensors/>
    </SystemProfile>
    <SystemProfile Name="BMW 3">
      <Components>
        <Component Type="FMU1">
          <Profiles>
            <Profile Name="RegularScm" Probability="1.0"/>
          </Profiles>
        </Component>
      </Components>
      <Sensors/>
    </SystemProfile>
    <SystemProfile Name="Trajectory_Vehicle">
      <Components>
      </Components>
      <Sensors/>
    </SystemProfile>
  </SystemProfiles>
  <ProfileGroup Type="Driver">
    <Profile Name="DummyDriver">
      <String Key="Type" Value="AlgorithmAgentFollowingDriverModel"/>
      <String Key="AlgorithmLateralModule" Value="Algorithm_LateralAfdm"/>
      <String Key="AlgorithmLongitudinalModule" Value="Algorithm_LongitudinalAfdm"/>
      <Double Key="VelocityWish" Value="1.0"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="FMU1">
    <Profile Name="RegularScm">
      <String Key="FmuPath" Value="resources/AlgorithmScm.fmu"/>
      <Bool Key="Logging" Value="true"/>
      <Bool Key="CsvOutput" Value="false"/>
      <String Key="Parameter_AssignSpecial_Simulation.RandomSeed" Value="RandomSeed"/>
      <String Key="Parameter_AssignSpecial_Simulation.OutputPath" Value="OutputPath"/>
      <String Key="Parameter_AssignSpecial_Simulation.ConfigPath" Value="ConfigPath"/>
      <String Key="Init_OSMPGroundTruthInit" Value="GroundTruth"/>
      <String Key="Input_OSMPSensorViewIn" Value="SensorView"/>
      <String Key="Input_OSMPSensorViewInConfig" Value="SensorViewConfig"/>
      <String Key="Input_OSMPTrafficCommandIn" Value="TrafficCommand"/>
      <String Key="Output_OSMPTrafficUpdateOut" Value="TrafficUpdate"/>
      <String Key="Output_OSMPSensorViewInConfigRequest" Value="SensorViewConfigRequest"/>
      <Bool Key="Parameter_Driver.IdealPerception" Value="false"/>
      <Bool Key="Parameter_Driver.EnableHighCognitiveMode" Value="false"/>
      <Double Key="Parameter_Driver.PreviewDistanceMin" Value="50.0"/>
      <Double Key="Parameter_Driver.AnticipationQuota" Value="1."/>
      <Double Key="Parameter_Driver.RightOvertakingProhibitionIgnoringQuota" Value="0.02"/>
      <Double Key="Parameter_Driver.LaneChangeProhibitionIgnoringQuota" Value="0.03"/>
      <Double Key="Parameter_Driver.ProportionalityFactorForFollowingDistance" Value="7."/>
      <Double Key="Parameter_Driver.MaxComfortAccelerationFactor" Value="4.0"/>
      <Double Key="Parameter_Driver.MaxComfortDecelerationFactor" Value="2.0"/>
      <Double Key="Parameter_Driver.LateralOffsetNeutralPositionQuota" Value="0.2"/>
      <Double Key="Parameter_Driver.OuterKeepingQuota" Value="0.8"/>
      <Double Key="Parameter_Driver.EgoLaneKeepingQuota" Value="0.8"/>
      <Double Key="Parameter_Driver.UseShoulderInTrafficJamQuota" Value="0.0"/>
      <Double Key="Parameter_Driver.UseShoulderInTrafficJamToExitQuota" Value="0.0"/>
      <Double Key="Parameter_Driver.UseShoulderWhenPeerPressuredQuota" Value="0.0"/>
      <Double Key="Parameter_Driver.DistractionPercentage" Value="0.0"/>
      <Double Key="Parameter_Driver.DistractionQuota" Value="0.0"/>
      <NormalDistribution Key="Parameter_Driver.PreviewTimeHeadway" Mean="15.0" SD="2.5" Min="10.0" Max="20.0"/>
      <NormalDistribution Key="Parameter_Driver.ThresholdLooming" Mean="0.002" SD="0.001" Min="0.001" Max="0.004"/>
      <NormalDistribution Key="Parameter_Driver.AgentCooperationFactor" Mean="0.8" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.AgentSuspiciousBehaviourEvasionFactor" Mean="0.8" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.OuterKeepingIntensity" Mean="0.6" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.EgoLaneKeepingIntensity" Mean="0.2" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.DesiredTimeAtTargetSpeed" Mean="15.0" SD="2.0" Min="10.0" Max="20.0"/>
      <NormalDistribution Key="Parameter_Driver.MaxLongitudinalAcceleration" Mean="4.0" SD="0.5" Min="3.0" Max="7.0"/>
      <NormalDistribution Key="Parameter_Driver.MaxLongitudinalDeceleration" Mean="7.0" SD="0.5" Min="6.0" Max="10.0"/>
      <NormalDistribution Key="Parameter_Driver.MaxLateralAcceleration" Mean="4.5" SD="0.5" Min="3.5" Max="10.0"/>
      <NormalDistribution Key="Parameter_Driver.ComfortLongitudinalAcceleration" Mean="0.537" SD="0.216" Min="0.468" Max="0.606"/>
      <NormalDistribution Key="Parameter_Driver.ComfortLongitudinalDeceleration" Mean="1.099" SD="0.278" Min="1.012" Max="1.185"/>
      <NormalDistribution Key="Parameter_Driver.AccelerationAdjustmentThresholdVelocity" Mean="25.0" SD="0.2" Min="22.2" Max="27.78"/>
      <NormalDistribution Key="Parameter_Driver.VelocityForMaxAcceleration" Mean="8.33" SD="0.2" Min="5.55" Max="11.11"/>
      <NormalDistribution Key="Parameter_Driver.ComfortLateralAcceleration" Mean="2.5" SD="0.3" Min="1.5" Max="3.09"/>
      <NormalDistribution Key="Parameter_Driver.CarQueuingDistance" Mean="2.9" SD="1.1" Min="1.0" Max="4.0"/>
      <NormalDistribution Key="Parameter_Driver.HysteresisForRestart" Mean="1.5" SD="2.0" Min="0.1" Max="5.0"/>
      <NormalDistribution Key="Parameter_Driver.LateralOffsetNeutralPosition" Mean="0.0" SD="0.3" Min="-1.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.LateralOffsetNeutralPositionRescueLane" Mean="0.75" SD="0.25" Min="0.3" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.MaximumAngularVelocitySteeringWheel" Mean="3.142" SD="0.349" Min="2.443" Max="3.840"/>
      <NormalDistribution Key="Parameter_Driver.ComfortAngularVelocitySteeringWheel" Mean="1.047" SD="0.175" Min="0.873" Max="1.222"/>
      <NormalDistribution Key="Parameter_Driver.TimeHeadwayFreeLaneChange" Mean="7.0" SD="2.0" Min="5.0" Max="10.0"/>
      <String Key="Parameter_Driver.ReactionBaseTime.type" Value="LogNormalDistribution"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.mean" Value="0.5"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.sd" Value="0.2"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.min" Value="0.2"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.max" Value="0.89"/>
      <LogNormalDistribution Key="Parameter_Driver.VWish" Mean="36.11" SD="4.17" Min="22.22" Max="44.28"/>
      <LogNormalDistribution Key="Parameter_Driver.DeltaVWish" Mean="7.0" SD="2.0" Min="3.0" Max="12.0"/>
      <String Key="Parameter_Driver.DeltaVViolation.type" Value="LogNormalDistribution"/>
      <Double Key="Parameter_Driver.DeltaVViolation.mean" Value="2.78"/>
      <Double Key="Parameter_Driver.DeltaVViolation.sd" Value="0.69"/>
      <Double Key="Parameter_Driver.DeltaVViolation.min" Value="0.0"/>
      <Double Key="Parameter_Driver.DeltaVViolation.max" Value="21.56"/>
      <String Key="Parameter_AssignSpecial_Vehicle.SteeringRatio" Value="SteeringRatio"/>
      <String Key="Parameter_AssignSpecial_Vehicle.MaxSteering" Value="MaxSteering"/>
      <String Key="Parameter_AssignSpecial_Vehicle.NumberOfGears" Value="NumberOfGears"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio1" Value="GearRatio1"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio2" Value="GearRatio2"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio3" Value="GearRatio3"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio4" Value="GearRatio4"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio5" Value="GearRatio5"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio6" Value="GearRatio6"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio7" Value="GearRatio7"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio8" Value="GearRatio8"/>
    </Profile>
    <Profile Name="SlowLeaderScm">
      <String Key="FmuPath" Value="resources/AlgorithmScm.fmu"/>
      <Bool Key="Logging" Value="true"/>
      <Bool Key="CsvOutput" Value="false"/>
      <String Key="Parameter_AssignSpecial_Simulation.RandomSeed" Value="RandomSeed"/>
      <String Key="Parameter_AssignSpecial_Simulation.OutputPath" Value="OutputPath"/>
      <String Key="Parameter_AssignSpecial_Simulation.ConfigPath" Value="ConfigPath"/>
      <String Key="Init_OSMPGroundTruthInit" Value="GroundTruth"/>
      <String Key="Input_OSMPSensorViewIn" Value="SensorView"/>
      <String Key="Input_OSMPSensorViewInConfig" Value="SensorViewConfig"/>
      <String Key="Input_OSMPTrafficCommandIn" Value="TrafficCommand"/>
      <String Key="Output_OSMPTrafficUpdateOut" Value="TrafficUpdate"/>
      <String Key="Output_OSMPSensorViewInConfigRequest" Value="SensorViewConfigRequest"/>
      <Bool Key="Parameter_Driver.IdealPerception" Value="false"/>
      <Bool Key="Parameter_Driver.EnableHighCognitiveMode" Value="false"/>
      <Double Key="Parameter_Driver.AnticipationQuota" Value="1."/>
      <Double Key="Parameter_Driver.ProportionalityFactorForFollowingDistance" Value="7."/>
      <Double Key="Parameter_Driver.MaxComfortAccelerationFactor" Value="4.0"/>
      <Double Key="Parameter_Driver.MaxComfortDecelerationFactor" Value="2.0"/>
      <Double Key="Parameter_Driver.PreviewDistanceMin" Value="50.0"/>
      <Double Key="Parameter_Driver.RightOvertakingProhibitionIgnoringQuota" Value="0.02"/>
      <Double Key="Parameter_Driver.LaneChangeProhibitionIgnoringQuota" Value="0.03"/>
      <Double Key="Parameter_Driver.LateralOffsetNeutralPositionQuota" Value="0.2"/>
      <Double Key="Parameter_Driver.OuterKeepingQuota" Value="0.8"/>
      <Double Key="Parameter_Driver.EgoLaneKeepingQuota" Value="0.8"/>
      <Double Key="Parameter_Driver.UseShoulderInTrafficJamQuota" Value="0.0"/>
      <Double Key="Parameter_Driver.UseShoulderInTrafficJamToExitQuota" Value="0.0"/>
      <Double Key="Parameter_Driver.UseShoulderWhenPeerPressuredQuota" Value="0.0"/>
      <Double Key="Parameter_Driver.DistractionPercentage" Value="0.0"/>
      <Double Key="Parameter_Driver.DistractionQuota" Value="0.0"/>
      <NormalDistribution Key="Parameter_Driver.ComfortLongitudinalAcceleration" Mean="0.537" SD="0.216" Min="0.468" Max="0.606"/>
      <NormalDistribution Key="Parameter_Driver.ComfortLongitudinalDeceleration" Mean="1.099" SD="0.278" Min="1.012" Max="1.185"/>
      <NormalDistribution Key="Parameter_Driver.AccelerationAdjustmentThresholdVelocity" Mean="25.0" SD="0.2" Min="22.2" Max="27.78"/>
      <NormalDistribution Key="Parameter_Driver.VelocityForMaxAcceleration" Mean="8.33" SD="0.2" Min="5.55" Max="11.11"/>
      <NormalDistribution Key="Parameter_Driver.ComfortLateralAcceleration" Mean="2.5" SD="0.3" Min="1.5" Max="3.09"/>
      <NormalDistribution Key="Parameter_Driver.AgentCooperationFactor" Mean="0.8" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.DesiredTimeAtTargetSpeed" Mean="15.0" SD="2.0" Min="10.0" Max="20.0"/>
      <NormalDistribution Key="Parameter_Driver.MaxLongitudinalAcceleration" Mean="4.0" SD="0.5" Min="3.0" Max="7.0"/>
      <NormalDistribution Key="Parameter_Driver.MaxLongitudinalDeceleration" Mean="7.0" SD="0.5" Min="6.0" Max="10.0"/>
      <NormalDistribution Key="Parameter_Driver.MaxLateralAcceleration" Mean="4.5" SD="0.5" Min="3.5" Max="10.0"/>
      <NormalDistribution Key="Parameter_Driver.PreviewTimeHeadway" Mean="15.0" SD="2.5" Min="10.0" Max="20.0"/>
      <NormalDistribution Key="Parameter_Driver.ThresholdLooming" Mean="0.002" SD="0.001" Min="0.001" Max="0.004"/>
      <NormalDistribution Key="Parameter_Driver.AgentSuspiciousBehaviourEvasionFactor" Mean="0.8" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.OuterKeepingIntensity" Mean="0.6" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.EgoLaneKeepingIntensity" Mean="0.8" SD="0.15" Min="0.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.CarQueuingDistance" Mean="2.9" SD="1.1" Min="1.0" Max="4.0"/>
      <NormalDistribution Key="Parameter_Driver.HysteresisForRestart" Mean="1.5" SD="2.0" Min="0.1" Max="5.0"/>
      <NormalDistribution Key="Parameter_Driver.LateralOffsetNeutralPosition" Mean="0.0" SD="0.3" Min="-1.0" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.LateralOffsetNeutralPositionRescueLane" Mean="0.75" SD="0.25" Min="0.3" Max="1.0"/>
      <NormalDistribution Key="Parameter_Driver.MaximumAngularVelocitySteeringWheel" Mean="3.142" SD="0.349" Min="2.443" Max="3.840"/>
      <NormalDistribution Key="Parameter_Driver.ComfortAngularVelocitySteeringWheel" Mean="1.047" SD="0.175" Min="0.873" Max="1.222"/>
      <NormalDistribution Key="Parameter_Driver.TimeHeadwayFreeLaneChange" Mean="7.0" SD="2.0" Min="5.0" Max="10.0"/>
      <String Key="Parameter_Driver.DeltaVViolation.type" Value="LogNormalDistribution"/>
      <Double Key="Parameter_Driver.DeltaVViolation.mean" Value="2.78"/>
      <Double Key="Parameter_Driver.DeltaVViolation.sd" Value="0.69"/>
      <Double Key="Parameter_Driver.DeltaVViolation.min" Value="0.0"/>
      <Double Key="Parameter_Driver.DeltaVViolation.max" Value="21.56"/>
      <String Key="Parameter_Driver.ReactionBaseTime.type" Value="LogNormalDistribution"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.mean" Value="0.5"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.sd" Value="0.2"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.min" Value="0.2"/>
      <Double Key="Parameter_Driver.ReactionBaseTime.max" Value="0.89"/>
      <LogNormalDistribution Key="Parameter_Driver.VWish" Mean="20.0" SD="0.0" Min="19.0" Max="21.0"/>
      <LogNormalDistribution Key="Parameter_Driver.DeltaVWish" Mean="7.0" SD="2.0" Min="3.0" Max="12.0"/>
      <String Key="Parameter_AssignSpecial_Vehicle.SteeringRatio" Value="SteeringRatio"/>
      <String Key="Parameter_AssignSpecial_Vehicle.MaxSteering" Value="MaxSteering"/>
      <String Key="Parameter_AssignSpecial_Vehicle.NumberOfGears" Value="NumberOfGears"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio1" Value="GearRatio1"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio2" Value="GearRatio2"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio3" Value="GearRatio3"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio4" Value="GearRatio4"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio5" Value="GearRatio5"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio6" Value="GearRatio6"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio7" Value="GearRatio7"/>
      <String Key="Parameter_AssignSpecial_Vehicle.GearRatio8" Value="GearRatio8"/>
    </Profile>
  </ProfileGroup>
  <ProfileGroup Type="TrafficGroup"/>
  <ProfileGroup Type="Spawner"/>
  <ProfileGroup Type="TrafficRules">
    <Profile Name="DE">
      <Double Key="OpenSpeedLimit" Value="INF"/>
      <Double Key="OpenSpeedLimitTrucks" Value="22.2222222"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="true"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
    <Profile Name="US">
      <Double Key="OpenSpeedLimit" Value="31.2928"/>
      <Double Key="OpenSpeedLimitTrucks" Value="26.8224"/>
      <Double Key="OpenSpeedLimitBuses" Value="26.8224"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="false"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="false"/>
    </Profile>
    <Profile Name="CN">
      <Double Key="OpenSpeedLimit" Value="33.3333"/>
      <Double Key="OpenSpeedLimitTrucks" Value="25.0"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="false"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
  </ProfileGroup>
</ProfilesCatalog>
